import React, { type ReactNode, type MutableRefObject } from 'react';
import { type ButtonProps } from './Button';
import { type ThemedClassName } from '../../util';
import { type IconProps } from '../Icon';
import { type TooltipContentProps } from '../Tooltip';
type IconButtonProps = Omit<ButtonProps, 'children'> & Pick<IconProps, 'icon' | 'size'> & {
    label: NonNullable<ReactNode>;
    iconOnly?: boolean;
    noTooltip?: boolean;
    caretDown?: boolean;
    iconClassNames?: ThemedClassName<any>['classNames'];
    tooltipPortal?: boolean;
    tooltipZIndex?: string;
    tooltipSide?: TooltipContentProps['side'];
    suppressNextTooltip?: MutableRefObject<boolean>;
};
declare const IconButton: React.ForwardRefExoticComponent<Omit<IconButtonProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export { IconButton };
export type { IconButtonProps };
//# sourceMappingURL=IconButton.d.ts.map