import { type AlertDialogProps as AlertDialogRootPrimitiveProps, type AlertDialogTriggerProps as AlertDialogTriggerPrimitiveProps, type AlertDialogPortalProps as AlertDialogPortalPrimitiveProps, type AlertDialogOverlayProps as AlertDialogOverlayPrimitiveProps, type AlertDialogTitleProps as AlertDialogTitlePrimitiveProps, type AlertDialogDescriptionProps as AlertDialogDescriptionPrimitiveProps, type AlertDialogActionProps as AlertDialogActionPrimitiveProps, type AlertDialogCancelProps as AlertDialogCancelPrimitiveProps, type AlertDialogContentProps as AlertDialogContentPrimitiveProps } from '@radix-ui/react-alert-dialog';
import React from 'react';
import { type ThemedClassName } from '../../util';
type AlertDialogRootProps = AlertDialogRootPrimitiveProps;
type AlertDialogTriggerProps = AlertDialogTriggerPrimitiveProps;
type AlertDialogPortalProps = AlertDialogPortalPrimitiveProps;
type AlertDialogCancelProps = AlertDialogCancelPrimitiveProps;
type AlertDialogActionProps = AlertDialogActionPrimitiveProps;
type AlertDialogTitleProps = ThemedClassName<AlertDialogTitlePrimitiveProps> & {
    srOnly?: boolean;
};
type AlertDialogDescriptionProps = ThemedClassName<AlertDialogDescriptionPrimitiveProps> & {
    srOnly?: boolean;
};
type AlertDialogOverlayProps = ThemedClassName<AlertDialogOverlayPrimitiveProps> & {
    blockAlign?: 'center' | 'start' | 'end';
};
type AlertDialogContentProps = ThemedClassName<AlertDialogContentPrimitiveProps>;
export declare const AlertDialog: {
    Root: React.FunctionComponent<AlertDialogRootPrimitiveProps>;
    Trigger: React.FunctionComponent<AlertDialogTriggerPrimitiveProps>;
    Portal: React.FunctionComponent<AlertDialogPortalPrimitiveProps>;
    Overlay: React.ForwardRefExoticComponent<AlertDialogOverlayProps>;
    Content: React.ForwardRefExoticComponent<AlertDialogContentProps>;
    Title: React.ForwardRefExoticComponent<AlertDialogTitleProps>;
    Description: React.ForwardRefExoticComponent<AlertDialogTitleProps>;
    Cancel: React.FunctionComponent<AlertDialogCancelPrimitiveProps>;
    Action: React.FunctionComponent<AlertDialogActionPrimitiveProps>;
};
export type { AlertDialogRootProps, AlertDialogTriggerProps, AlertDialogPortalProps, AlertDialogOverlayProps, AlertDialogContentProps, AlertDialogTitleProps, AlertDialogDescriptionProps, AlertDialogCancelProps, AlertDialogActionProps, };
//# sourceMappingURL=AlertDialog.d.ts.map