import { type DialogProps as DialogRootPrimitiveProps, type DialogTriggerProps as DialogTriggerPrimitiveProps, type DialogPortalProps as DialogPortalPrimitiveProps, type DialogOverlayProps as DialogOverlayPrimitiveProps, type DialogTitleProps as DialogTitlePrimitiveProps, type DialogDescriptionProps as DialogDescriptionPrimitiveProps, type DialogCloseProps as DialogClosePrimitiveProps, type DialogContentProps as DialogContentPrimitiveProps } from '@radix-ui/react-dialog';
import React from 'react';
import { type ThemedClassName } from '../../util';
type DialogRootProps = DialogRootPrimitiveProps;
type DialogTriggerProps = DialogTriggerPrimitiveProps;
type DialogPortalProps = DialogPortalPrimitiveProps;
type DialogTitleProps = ThemedClassName<DialogTitlePrimitiveProps> & {
    srOnly?: boolean;
};
type DialogDescriptionProps = ThemedClassName<DialogDescriptionPrimitiveProps> & {
    srOnly?: boolean;
};
type DialogCloseProps = DialogClosePrimitiveProps;
type DialogOverlayProps = ThemedClassName<DialogOverlayPrimitiveProps> & {
    blockAlign?: 'center' | 'start' | 'end';
};
type DialogContentProps = ThemedClassName<DialogContentPrimitiveProps> & {
    inOverlayLayout?: boolean;
};
export declare const Dialog: {
    Root: React.FunctionComponent<DialogRootPrimitiveProps>;
    Trigger: React.FunctionComponent<DialogTriggerPrimitiveProps>;
    Portal: React.FunctionComponent<DialogPortalPrimitiveProps>;
    Overlay: React.ForwardRefExoticComponent<DialogOverlayProps>;
    Content: React.ForwardRefExoticComponent<DialogContentProps>;
    Title: React.ForwardRefExoticComponent<DialogTitleProps>;
    Description: React.ForwardRefExoticComponent<DialogTitleProps>;
    Close: React.FunctionComponent<DialogClosePrimitiveProps>;
};
export type { DialogRootProps, DialogTriggerProps, DialogPortalProps, DialogOverlayProps, DialogContentProps, DialogTitleProps, DialogDescriptionProps, DialogCloseProps, };
//# sourceMappingURL=Dialog.d.ts.map