import '@dxos-theme';
import React from 'react';
type StorybookDialogProps = Partial<{
    title: string;
    description: string;
    body: string;
    closeTrigger: string;
    openTrigger: string;
    blockAlign: 'center' | 'start';
}>;
declare const _default: {
    title: string;
    component: {
        Root: React.FunctionComponent<import("@radix-ui/react-dialog").DialogProps>;
        Trigger: React.FunctionComponent<import("@radix-ui/react-dialog").DialogTriggerProps>;
        Portal: React.FunctionComponent<import("@radix-ui/react-dialog").DialogPortalProps>;
        Overlay: React.ForwardRefExoticComponent<import("./Dialog").DialogOverlayProps>;
        Content: React.ForwardRefExoticComponent<import("./Dialog").DialogContentProps>;
        Title: React.ForwardRefExoticComponent<import("./Dialog").DialogTitleProps>;
        Description: React.ForwardRefExoticComponent<import("./Dialog").DialogTitleProps>;
        Close: React.FunctionComponent<import("@radix-ui/react-dialog").DialogCloseProps>;
    };
    render: ({ title, openTrigger, description, body, closeTrigger, blockAlign }: StorybookDialogProps) => React.JSX.Element;
    decorators: import("@storybook/react").Decorator[];
    parameters: {
        chromatic: {
            disableSnapshot: boolean;
        };
    };
};
export default _default;
export declare const Default: {
    args: {
        title: string;
        openTrigger: string;
        description: string;
        body: string;
        closeTrigger: string;
        blockAlign: string;
    };
    argTypes: {
        blockAlign: {
            type: string;
            options: string[];
        };
    };
};
//# sourceMappingURL=Dialog.stories.d.ts.map