import '@dxos-theme';
import React from 'react';
import { type MessageValence } from '@dxos/react-ui-types';
type StoryInputProps = Partial<{
    label: string;
    placeholder: string;
    disabled: boolean;
    description: string;
    labelVisuallyHidden: boolean;
    descriptionVisuallyHidden: boolean;
    type: 'default' | 'pin' | 'textarea' | 'checkbox' | 'switch';
    validationMessage: string;
    validationValence: MessageValence;
}>;
declare const _default: {
    title: string;
    component: {
        Root: {
            ({ __inputScope, id: propsId, descriptionId: propsDescriptionId, errorMessageId: propsErrorMessageId, validationValence, children, }: import("@dxos/react-input").InputScopedProps<import("@dxos/react-input").InputRootProps>): React.JSX.Element;
            displayName: string;
        };
        PinInput: React.ForwardRefExoticComponent<Omit<import("./Input").PinInputProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
        TextInput: React.ForwardRefExoticComponent<Omit<import("@dxos/react-input").InputScopedProps<import("./Input").TextInputProps>, "ref"> & React.RefAttributes<HTMLInputElement>>;
        TextArea: React.ForwardRefExoticComponent<Omit<import("@dxos/react-input").InputScopedProps<import("./Input").TextAreaProps>, "ref"> & React.RefAttributes<HTMLTextAreaElement>>;
        Checkbox: React.ForwardRefExoticComponent<import("./Input").CheckboxProps>;
        Switch: React.ForwardRefExoticComponent<Omit<import("@dxos/react-input").InputScopedProps<import("./Input").SwitchProps>, "ref"> & React.RefAttributes<HTMLInputElement>>;
        Label: React.ForwardRefExoticComponent<Omit<import("./Input").LabelProps, "ref"> & React.RefAttributes<HTMLLabelElement>>;
        Description: React.ForwardRefExoticComponent<Omit<import("./Input").DescriptionProps, "ref"> & React.RefAttributes<HTMLSpanElement>>;
        Validation: React.ForwardRefExoticComponent<Omit<import("@dxos/react-input").InputScopedProps<import("./Input").ValidationProps>, "ref"> & React.RefAttributes<HTMLSpanElement>>;
        DescriptionAndValidation: React.ForwardRefExoticComponent<Omit<import("./Input").DescriptionAndValidationProps, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
    };
    render: (props: StoryInputProps) => React.JSX.Element;
    argTypes: {
        label: {
            control: string;
        };
        description: {
            control: string;
        };
        validationMessage: {
            control: string;
        };
        validationValence: {
            control: string;
            options: string[];
        };
        type: {
            control: string;
            options: string[];
        };
    };
    decorators: import("@storybook/react").Decorator[];
    parameters: {
        chromatic: {
            disableSnapshot: boolean;
        };
    };
};
export default _default;
export declare const Default: {
    args: {
        label: string;
        placeholder: string;
        disabled: boolean;
        description: undefined;
        labelVisuallyHidden: boolean;
        descriptionVisuallyHidden: boolean;
        validationMessage: string;
        validationValence: undefined;
        length: number;
    };
};
export declare const DensityFine: {
    args: {
        label: string;
        placeholder: string;
        disabled: boolean;
        description: undefined;
        labelVisuallyHidden: boolean;
        descriptionVisuallyHidden: boolean;
        validationMessage: string;
        validationValence: undefined;
        length: number;
        density: string;
    };
};
export declare const Subdued: {
    args: {
        label: string;
        placeholder: string;
        disabled: boolean;
        description: undefined;
        labelVisuallyHidden: boolean;
        descriptionVisuallyHidden: boolean;
        validationMessage: string;
        validationValence: undefined;
        length: number;
        variant: string;
    };
};
export declare const Disabled: {
    args: {
        label: string;
        placeholder: string;
        disabled: boolean;
    };
};
export declare const LabelVisuallyHidden: {
    args: {
        label: string;
        labelVisuallyHidden: boolean;
        placeholder: string;
    };
};
export declare const InputWithDescription: {
    args: {
        label: string;
        placeholder: string;
        description: string;
    };
};
export declare const InputWithErrorAndDescription: {
    args: {
        label: string;
        placeholder: string;
        description: string;
        validationValence: string;
        validationMessage: string;
    };
};
export declare const InputWithValidationAndDescription: {
    args: {
        label: string;
        placeholder: string;
        description: string;
        validationValence: string;
        validationMessage: string;
    };
};
export declare const TextArea: {
    args: {
        label: string;
        type: string;
        description: string;
        placeholder: string;
    };
};
export declare const PinInput: {
    args: {
        label: string;
        type: string;
        length: number;
        description: string;
        placeholder: string;
    };
};
export declare const Checkbox: {
    args: {
        label: string;
        type: string;
        description: string;
        size: number;
        weight: string;
    };
};
export declare const Switch: {
    args: {
        label: string;
        type: string;
        description: string;
    };
};
//# sourceMappingURL=Input.stories.d.ts.map