import { Primitive } from '@radix-ui/react-primitive';
import React, { type ComponentPropsWithRef } from 'react';
import { type MessageValence, type Elevation } from '@dxos/react-ui-types';
type MessageRootProps = ComponentPropsWithRef<typeof Primitive.div> & {
    valence?: MessageValence;
    elevation?: Elevation;
    asChild?: boolean;
    titleId?: string;
    descriptionId?: string;
};
type MessageTitleProps = Omit<ComponentPropsWithRef<typeof Primitive.h2>, 'id'> & {
    asChild?: boolean;
};
type MessageBodyProps = Omit<ComponentPropsWithRef<typeof Primitive.h2>, 'id'> & {
    asChild?: boolean;
};
export declare const Message: {
    Root: React.ForwardRefExoticComponent<Omit<MessageRootProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Title: React.ForwardRefExoticComponent<Omit<MessageTitleProps, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
    Body: React.ForwardRefExoticComponent<Omit<MessageBodyProps, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
};
export type { MessageRootProps, MessageTitleProps, MessageBodyProps };
//# sourceMappingURL=Message.d.ts.map