import { type ScrollAreaProps as ScrollAreaPrimitiveRootProps, type ScrollAreaViewportProps as ScrollAreaPrimitiveViewportProps, type ScrollAreaScrollbarProps as ScrollAreaPrimitiveScrollbarProps, type ScrollAreaThumbProps as ScrollAreaPrimitiveThumbProps, type ScrollAreaCornerProps as ScrollAreaPrimitiveCornerProps } from '@radix-ui/react-scroll-area';
import React from 'react';
import { type ThemedClassName } from '../../util';
type ScrollAreaVariant = 'coarse' | 'fine';
type ScrollAreaRootProps = ThemedClassName<ScrollAreaPrimitiveRootProps>;
type ScrollAreaViewportProps = ThemedClassName<ScrollAreaPrimitiveViewportProps>;
type ScrollAreaScrollbarProps = ThemedClassName<ScrollAreaPrimitiveScrollbarProps> & {
    variant?: ScrollAreaVariant;
};
type ScrollAreaThumbProps = ThemedClassName<ScrollAreaPrimitiveThumbProps>;
type ScrollAreaCornerProps = ThemedClassName<ScrollAreaPrimitiveCornerProps>;
export declare const ScrollArea: {
    Root: React.ForwardRefExoticComponent<Omit<ScrollAreaPrimitiveRootProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLDivElement>>;
    Viewport: React.ForwardRefExoticComponent<Omit<ScrollAreaPrimitiveViewportProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLDivElement>>;
    Scrollbar: React.ForwardRefExoticComponent<Omit<ScrollAreaPrimitiveScrollbarProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & {
        variant?: ScrollAreaVariant;
    } & React.RefAttributes<HTMLDivElement>>;
    Thumb: React.ForwardRefExoticComponent<Omit<ScrollAreaPrimitiveThumbProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLDivElement>>;
    Corner: React.ForwardRefExoticComponent<Omit<ScrollAreaPrimitiveCornerProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLDivElement>>;
};
export type { ScrollAreaRootProps, ScrollAreaViewportProps, ScrollAreaScrollbarProps, ScrollAreaThumbProps, ScrollAreaCornerProps, };
//# sourceMappingURL=ScrollArea.d.ts.map