import { Primitive } from '@radix-ui/react-primitive';
import { type ToastProviderProps as ToastProviderPrimitiveProps, type ToastViewportProps as ToastViewportPrimitiveProps, type ToastProps as ToastRootPrimitiveProps, type ToastTitleProps as ToastTitlePrimitiveProps, type ToastDescriptionProps as ToastDescriptionPrimitiveProps, type ToastActionProps as ToastActionPrimitiveProps, type ToastCloseProps as ToastClosePrimitiveProps } from '@radix-ui/react-toast';
import React, { type ComponentPropsWithRef } from 'react';
import { type ThemedClassName } from '../../util';
type ToastProviderProps = ToastProviderPrimitiveProps;
type ToastViewportProps = ThemedClassName<ToastViewportPrimitiveProps>;
type ToastRootProps = ThemedClassName<ToastRootPrimitiveProps>;
type ToastBodyProps = ThemedClassName<ComponentPropsWithRef<typeof Primitive.div>>;
type ToastTitleProps = ThemedClassName<ToastTitlePrimitiveProps>;
type ToastDescriptionProps = ThemedClassName<ToastDescriptionPrimitiveProps>;
type ToastActionsProps = ThemedClassName<ComponentPropsWithRef<typeof Primitive.div>>;
type ToastActionProps = ToastActionPrimitiveProps;
type ToastCloseProps = ToastClosePrimitiveProps;
export declare const Toast: {
    Provider: React.FunctionComponent<ToastProviderPrimitiveProps>;
    Viewport: React.ForwardRefExoticComponent<Omit<ToastViewportPrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLOListElement>>;
    Root: React.ForwardRefExoticComponent<Omit<ToastRootPrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLLIElement>>;
    Body: React.ForwardRefExoticComponent<Omit<ToastBodyProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Title: React.ForwardRefExoticComponent<Omit<ToastTitlePrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLHeadingElement>>;
    Description: React.ForwardRefExoticComponent<Omit<ToastDescriptionPrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLParagraphElement>>;
    Actions: React.ForwardRefExoticComponent<Omit<ToastActionsProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Action: React.FunctionComponent<ToastActionPrimitiveProps>;
    Close: React.FunctionComponent<ToastClosePrimitiveProps>;
};
export type { ToastProviderProps, ToastViewportProps, ToastRootProps, ToastBodyProps, ToastTitleProps, ToastDescriptionProps, ToastActionsProps, ToastActionProps, ToastCloseProps, };
//# sourceMappingURL=Toast.d.ts.map