import { type TooltipProviderProps as TooltipProviderPrimitiveProps, type TooltipProps as TooltipRootPrimitiveProps, type TooltipContentProps as TooltipContentPrimitiveProps, type TooltipTriggerProps as TooltipTriggerPrimitiveProps, type TooltipPortalProps as TooltipPortalPrimitiveProps, type TooltipArrowProps as TooltipArrowPrimitiveProps } from '@radix-ui/react-tooltip';
import React from 'react';
import { type ThemedClassName } from '../../util';
type TooltipProviderProps = TooltipProviderPrimitiveProps;
type TooltipRootProps = TooltipRootPrimitiveProps;
type TooltipPortalProps = TooltipPortalPrimitiveProps;
type TooltipTriggerProps = TooltipTriggerPrimitiveProps;
type TooltipArrowProps = ThemedClassName<TooltipArrowPrimitiveProps>;
type TooltipContentProps = ThemedClassName<TooltipContentPrimitiveProps>;
export declare const Tooltip: {
    Provider: React.FunctionComponent<TooltipProviderPrimitiveProps>;
    Root: React.FunctionComponent<TooltipRootPrimitiveProps>;
    Portal: React.FC<TooltipPortalPrimitiveProps>;
    Trigger: React.ForwardRefExoticComponent<TooltipTriggerPrimitiveProps & React.RefAttributes<HTMLButtonElement>>;
    Arrow: React.ForwardRefExoticComponent<Omit<TooltipArrowPrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<SVGSVGElement>>;
    Content: React.ForwardRefExoticComponent<Omit<TooltipContentPrimitiveProps, "className"> & {
        classNames?: import("@dxos/react-ui-types").ClassNameValue;
    } & React.RefAttributes<HTMLDivElement>>;
};
export type { TooltipProviderProps, TooltipRootProps, TooltipPortalProps, TooltipTriggerProps, TooltipArrowProps, TooltipContentProps, };
//# sourceMappingURL=Tooltip.d.ts.map